National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2017-3145 Detail

Description

BIND was improperly sequencing cleanup operations on upstream recursion fetch contexts, leading in some cases to a use-after-free error that can trigger an assertion failure and crash in named. Affects BIND 9.0.0 to 9.8.x, 9.9.0 to 9.9.11, 9.10.0 to 9.10.6, 9.11.0 to 9.11.2, 9.9.3-S1 to 9.9.11-S1, 9.10.5-S1 to 9.10.6-S1, 9.12.0a1 to 9.12.0rc1.

Source:  MITRE
Description Last Modified:  01/16/2019

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.securityfocus.com/bid/102716
http://www.securitytracker.com/id/1040195
https://access.redhat.com/errata/RHSA-2018:0101
https://access.redhat.com/errata/RHSA-2018:0102
https://access.redhat.com/errata/RHSA-2018:0487
https://access.redhat.com/errata/RHSA-2018:0488
https://kb.isc.org/docs/aa-01542
https://lists.debian.org/debian-lts-announce/2018/01/msg00029.html
https://security.netapp.com/advisory/ntap-20180117-0003/
https://www.debian.org/security/2018/dsa-4089

Technical Details

Vulnerability Type (View All)

Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2017-3145
NVD Published Date:
01/16/2019
NVD Last Modified:
01/17/2019